#
# spec file for package python3-flake8
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-flake8
Version:        2.3.0
Release:        3.2
Summary:        Modular source code checker: pep8, pyflakes and co
License:        MIT
Group:          Development/Languages/Python
Url:            https://gitlab.com/pycqa/flake8
Source:         http://pypi.python.org/packages/source/f/flake8/flake8-%{version}.tar.gz
BuildRequires:  python3-devel
BuildRequires:  python3-distribute
# Test requirements:
BuildRequires:  python3-mccabe >= 0.2
BuildRequires:  python3-mock
BuildRequires:  python3-nose
BuildRequires:  python3-pep8 >= 1.4.3
BuildRequires:  python3-pyflakes >= 0.6.1
Requires:       python3-mccabe >= 0.2
Requires:       python3-pep8 >= 1.4.3
Requires:       python3-pyflakes >= 0.6.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flake8 is a wrapper around these tools:

- PyFlakes
- pep8
- Ned Batchelder's McCabe script

Flake8 runs all the tools by launching the single ``flake8`` script.

%prep
%setup -q -n flake8-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}
# Avoid file conflict with Python-2.x version:
mv %{buildroot}%{_bindir}/flake8{,-%{py3_ver}}

%check
python3 setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{_bindir}/flake8-%{py3_ver}
%{python3_sitelib}/*

%changelog
* Sat Jan 10 2015 arun@gmx.de
- specfile:
  * update copyright year
  * update url
- upgrade to version 2.3.0:
  * Feature: Add --output-file option to specify a file to write to
    instead of stdout.
  * Bug Fix interleaving of output while using multiprocessing
    (GitLab#17)
- changes from version 2.2.5:
  * Flush standard out when using multiprocessing
  * Make the check for "# flake8: noqa" more strict
- changes from version 2.2.4:
  * Fix bugs triggered by turning multiprocessing on by default
    (again)
  * Multiprocessing is forcibly disabled in the following cases:
    + Passing something in via stdin
    + Analyzing a diff
    + Using windows
  * Fix --install-hook when there are no config files present for pep8
    or flake8.
  * Fix how the setuptools command parses excludes in config files
  * Fix how the git hook determines which files to analyze (Thanks
    Chris Buccella!)
- changes from version 2.2.3:
  * Actually turn multiprocessing on by default
* Thu Jul 10 2014 toddrme2178@gmail.com
- Update to 2.2.2
  - Re-enable multiprocessing by default while fixing the issue
    Windows users were seeing.
- Update to 2.2.1
  - Turn off multiple jobs by default. To enable automatic use
    of all CPUs, use --jobs=auto. Fixes #155 and #154.
- update to 2.2.0:
  - New option ``doctests`` to run Pyflakes checks on doctests too
  - New option ``jobs`` to launch multiple jobs in parallel
  - Turn on using multiple jobs by default using the CPU count
  - Add support for ``python -m flake8`` on Python 2.7 and Python 3
  - Fix Git and Mercurial hooks: issues #88, #133, #148 and #149
  - Fix crashes with Python 3.4 by upgrading dependencies
  - Fix traceback when running tests with Python 2.6
  - Fix the setuptools command ``python setup.py flake8`` to read
    the project configuration
* Thu Apr 17 2014 toddrme2178@gmail.com
- update to 2.1.0:
  - Add FLAKE8_LAZY and FLAKE8_IGNORE environment variable support to git and
    mercurial hooks
  - Force git and mercurial hooks to repsect configuration in setup.cfg
  - Only check staged files if that is specified
  - Fix hook file permissions
  - Fix the git hook on python 3
  - Ignore non-python files when running the git hook
  - Ignore .tox directories by default
  - Flake8 now reports the column number for PyFlakes messages
* Wed Apr 24 2013 speilicke@suse.com
- Spec file cleanup
- Run testsuite
- Add LICENSE (for legal)
* Sun Apr 21 2013 dmueller@suse.com
- Initial package (2.0)
